=== debian/changelog ===
openchange (1:1.0-4) experimental; urgency=low

  * openchangeserver: Add dependency on openchangeproxy.
  * Rebuild against newer version of Samba 4.
  * Use dpkg-buildflags.
  * Migrate to Git, update Vcs-Git header.
  * Switch to debhelper 9.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 12 Apr 2012 20:07:57 +0200

openchange (1:1.0-3) unstable; urgency=medium

  * Add 04_ndr_noalign: Fix handling of non-small emails. Closes: #692727

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Nov 2012 15:47:54 +0100

openchange (1:1.0-2) unstable; urgency=low

  * Remove unnecessary links.
  * Add patch 03_no_popt: Avoid use of samba/popt.h, which is no longer
    present in newer versions of Samba.
  * Depend on newer version of pidl with fix for CVE-2012-1182.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 12 Apr 2012 03:46:04 +0200

openchange (1:1.0-1) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * New upstream release.
   + Sets table position in nspi_SeekEntries. LP: #926536
   + No longer crashes on illegal multibyte sequence error in NDR.
     LP: #684205
  * Fixes dependencies on libraries required for symbols. Closes: #664937
  * Leave creating symlinks to the openchange buildsystem rather than
    doing it manually in debian/rules.
  * Add dependency on autoconf and automake, for from-SVN builds.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 22 Mar 2012 12:52:26 +0100
