## openchange 2.0

=== Makefile ===
--- 
+++ 
@@ -322,13 +322,11 @@
 
 libmapi/async_emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
 
-libmapi/mapi_nameid.h libmapi/mapitags.c libmapi/mapicode.c libmapi/codepage_lcid.c mapitags_enum.h mapicodes_enum.h mapiproxy/libmapistore/mapistore_nameid.h: \
-	libmapi/conf/mapi-properties								\
-	libmapi/conf/mapi-codes									\
-	libmapi/conf/mapi-named-properties							\
-	libmapi/conf/codepage-lcid								\
-	libmapi/conf/mparse.pl
-	@./libmapi/conf/build.sh
+libmapi/mapicode.c mapicodes_enum.h: libmapi/conf/mparse.pl libmapi/conf/mapi-codes
+	libmapi/conf/mparse.pl --parser=mapicodes --outputdir=libmapi/ libmapi/conf/mapi-codes
+
+libmapi/codepage_lcid.c: libmapi/conf/mparse.pl libmapi/conf/codepage-lcid
+	libmapi/conf/mparse.pl --parser=codepage_lcid --outputdir=libmapi/ libmapi/conf/codepage-lcid
 
 #################################################################
 # libmapi++ compilation rules
@@ -389,3 +387,4 @@
 	@$(SED) $(DESTDIR)$(includedir)/libmapi++/*.h
 
 libmapixx-libs-clean:
+	rm -f libmapi++/src/*.po
