=== debian/changelog ===
openchange (1:2.0-3) unstable; urgency=medium

  * Fix detection of boost.
  * Drop unused bzr-builddeb.conf.
  * Remove unused svn-specific build-orig.sh script.
  * Use autotools-dev to update config.guess and config.sub. Thanks,
    Logan Rosen. Closes: #735381
  * Bump standards version to 3.9.5 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Mar 2014 18:19:16 +0000

openchange (1:2.0-2) unstable; urgency=low

  * Add 02_sort_mapistore_namedprops: Make sure
    mapistore_namedprops.ldif contents are consistent across runs, to
    prevent issues with multi-arch. Closes: #727008

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Oct 2013 08:55:51 -0500

openchange (1:2.0-1) unstable; urgency=low

  [ Jeroen Dekkers ]
  * New upstream release.

  [ Jelmer Vernooij ]
  * Depend on samba-dev rather than deprecated samba4-dev.
  * Drop 01_symlinks, 02_mapiproxy_dl, 03_no_popt and 04_ndr_noalign; applied
    upstream.
  * Add 01_detection_boost to work around boost detection issues with boost >=
    1.50.
  * Update for restructured Samba package: depend just on samba-dev
    rather than handful of -dev packages.
  * Bump standards version to 3.9.4 (no changes).
  * Fix Vcs-Browser URL for git.

  [ Dmitrijs Ledkovs ]
  * Drop BOOST_LIBS_SUFFIX=-mt configure variable. Closes: #710081

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Apr 2013 20:21:40 +0200
