=== debian/control ===
Source: openchange
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bison,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               flex,
               libboost-system-dev,
               libboost-thread-dev,
               libical-dev,
               libldb-dev,
               libmagic-dev,
               libpopt-dev,
               libsqlite3-dev,
               libsubunit-dev,
               libtalloc-dev,
               libtevent-dev (>= 0.9.9~),
               pkg-config,
               python-all-dev (>= 2.6.6-3),
               python-samba (>= 2:4.0.8),
               samba-dev (>= 2:4.0.8),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/pkg-samba/openchange.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/openchange.git;a=summary
Homepage: http://www.openchange.org/
X-Python-Version: 2.7

Package: libmapi0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Client library for the MAPI protocol
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libmapi-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         libmapi0 (= ${binary:Version}),
         samba-dev,
         libtalloc-dev,
         libtevent-dev,
         ${misc:Depends}
Description: Development files for the MAPI client library
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: libmapipp-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapipp0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the header files.

Package: libmapipp0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the shared library.

Package: libocpf0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Scripting library for the MAPI protocol
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libocpf-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libocpf0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the OCPF library
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: openchangeclient
Architecture: any
Enhances: nagios3, icinga
Suggests: ${perl:Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command-line client for the MAPI (Exchange/Outlook) protocol
 Simple command-line client that allows fetching mail from and sending
 mail using a MAPI server.

Package: openchangeserver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: openchangeproxy,
         samba (>= 2:4.0.0~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) server
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package is alpha software.

Package: openchangeserver-dev
Architecture: any
Depends: openchangeserver (= ${binary:Version}),
         samba-dev (>= 4.0.0~),
         ${misc:Depends}
Description: Experimental MAPI (Exchange/Outlook) server - development files
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package contains the development files.

Package: openchangeproxy
Architecture: any
Depends: samba (>= 2:4.0.0~), ${misc:Depends}, ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) proxy
 This is a plugin for Samba 4 that provides a proxy for the MAPI protocol.
 .
 This package is alpha software.

Package: libmapiadmin0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Administration client library for the MAPI (Exchange/Outlook) protocol
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.

Package: libmapiadmin-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiadmin0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the MAPI administration client library
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.
 .
 This package contains the development files.

Package: libmapiproxy0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Proxy library for the MAPI (Exchange/Outlook) protocol
 This is a library that allows proxying of the MAPI (Exchange/Outlook)
 protocol.

Package: libmapiproxy-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiproxy0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the MAPI proxy library
 Library that allows proxying of the MAPI (Exchange/Outlook) protocol.
 .
 This package contains the development files.

Package: libmapistore0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Storage library for MAPI objects
 Library that can store arbitrary MAPI objects.

Package: libmapistore-dev
Section: libdevel
Depends: libmapistore0 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Storage library for MAPI objects - development files
 Library that can store arbitrary MAPI objects.
 .
 This package contains the development files.
