=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,21 @@
 export PYTHON="$(shell which `pyversions -r`)"
 
 %:
-	dh $*
+	dh $* --with python2,autoreconf,autotools_dev
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed ./autogen.sh
 
 override_dh_auto_configure:
 	test -f configure || ./autogen.sh
 	chmod a+x ./configure
-	LDFLAGS=-Wl,--as-needed BOOST_LIB_SUFFIX=-mt ./configure \
+	LDFLAGS=-Wl,--as-needed ./configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/openchange \
 		--disable-pymapi \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	# Urgh
 	sed -i -e 's/site-packages/dist-packages/' config.mk
 
 override_dh_auto_test:
