=== debian/watch ===
version=2
http://tracker.openchange.org/projects/openchange/files /attachments/download/\d+/openchange-(.+)-.+.tar.gz
