=== debian/changelog ===
openchange (1:2.1-3) unstable; urgency=medium

  * Set branch in Vcs-Git field.
  * Add 02-schemaidguid-ldflags: Fixes hardening of schemaIDGUID binary.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:22:34 +0200

openchange (1:2.1-2) unstable; urgency=medium

  * Use canonical URL in Vcs-Git header.
  * Refer to GPLv3 license file specifically in copyright.
  * Install ocsmanager python package.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Apr 2014 02:44:51 +0200

openchange (1:2.1-1) unstable; urgency=medium

  * New upstream release.
   + Stop removing broken manpages, upstream on longer installs them.
  * Add upstream signing key.
  * Run test suite during build.
   + Add dependency on python-twisted-core for trial and python-testtools.
   + Add fix-tests patch, cherry-picked from upstream

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 24 Apr 2014 00:29:19 +0200

openchange (1:2.0+git20140329-1) experimental; urgency=medium

  * New upstream snapshot.
   + Drop upstream applied patches 01_boost_detection and
     02_sort_mapistore_namedprops.
   + No longer creates manpages named after build path. Closes: #713883

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 29 Mar 2014 17:14:55 +0100

openchange (1:2.0-4) unstable; urgency=medium

  * Add debug package. Closes: #733871
  * Remove incorrectly named manpages.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Mar 2014 18:47:19 +0000
