=== debian/control ===
--- 
+++ 
@@ -23,11 +23,15 @@
                libtevent-dev (>= 0.9.9~),
                pkg-config,
                python-all-dev (>= 2.6.6-3),
-               python-samba (>= 2:4.0.8),
-               samba-dev (>= 2:4.0.8),
+               python-paste,
+               python-samba (>= 2:4.1),
+               python-testtools,
+               python-pylons,
+               python-twisted-core,
+               samba-dev (>= 2:4.1),
                zlib1g-dev
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/pkg-samba/openchange.git
+Vcs-Git: git://anonscm.debian.org/pkg-samba/openchange.git -b unstable
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/openchange.git;a=summary
 Homepage: http://www.openchange.org/
 X-Python-Version: 2.7
@@ -206,3 +210,29 @@
  Library that can store arbitrary MAPI objects.
  .
  This package contains the development files.
+
+Package: openchange-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libmapi0 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Description: OpenChange debugging symbols
+ OpenChange is an implementation of the MAPI (Exchange) protocol for Unix
+ systems.
+ .
+ This package provides debugging information for the software in the
+ OpenChange suite. Install it to get a better backtrace in the event of a
+ crash.
+
+Package: python-ocsmanager
+Section: python
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python-pylons, python-paste
+Description: OpenChange Service Manager
+ OpenChange is an implementation of the MAPI (Exchange) protocol for Unix
+ systems.
+ .
+ This package contains the Python implementation of the various
+ web services (freebusy, rpcproxy) provided by OpenChange.
