=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 	dh_autoreconf --as-needed ./autogen.sh
 
 override_dh_auto_configure:
-	test -f configure || ./autogen.sh
-	chmod a+x ./configure
 	LDFLAGS=-Wl,--as-needed ./configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
@@ -34,7 +32,7 @@
 	sed -i -e 's/site-packages/dist-packages/' config.mk
 
 override_dh_auto_test:
-	# Test suite fails at the moment, because of changes in Samba.
+	$(MAKE) check
 
 override_dh_auto_build:
 	test -d bin || mkdir bin
@@ -55,10 +53,13 @@
 	rm -rf $(DESTDIR)/usr/share/openchange/mapitest
 	rm -f $(DESTDIR)/usr/bin/check_fasttransfer
 	rm -f $(DESTDIR)/usr/bin/test_asyncnotif
-	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
+	cd mapiproxy/services/ocsmanager/ && python ./setup.py install --root=$(DESTDIR) --install-layout=deb --no-compile
 
 override_dh_install:
 	dh_install --sourcedir=debian/tmp --list-missing --fail-missing
 
 get-orig-source:
 	./debian/build-orig.sh
+
+override_dh_strip:
+	dh_strip --dbg-package=openchange-dbg
